//
//  ViewController.m
//  HoldTimeGapButton
//
//  Created by apple on 2017/8/4.
//  Copyright © 2017年 cheniue. All rights reserved.
//

#import "ViewController.h"
#import "HoldTimeGapButton.h"

@interface ViewController ()
{
    HoldTimeGapButton *button;
}
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    button = [[HoldTimeGapButton alloc]initWithFrame:CGRectMake(80.0f, 80.0f, 80.0f, 80.0f)];
    [button setBackgroundColor:[UIColor redColor]];
    [button.titleLabel setFont:[UIFont systemFontOfSize:20.0f]];
    [button setCurrentNumberCountCleanWhileTouchDown:NO];
    [button setEachTimeGap:0.3f];
    [button setNumberInsertEventBlock:^(HoldTimeGapButton *btn,int currentNumber)
    {
        [btn setTitle:[NSString stringWithFormat:@"%d",currentNumber] forState:UIControlStateNormal];
    }];
//    [button setNumberFinshEventBlock:^(HoldTimeGapButton *btn)
//    {
//        [btn removeFromSuperview];
//    }];
    [self.view addSubview:button];
    
    [self performSelector:@selector(updateButtonFrame) withObject:nil afterDelay:5.0f];
}


-(void)updateButtonFrame
{
    [button setFrame:CGRectMake(200.0f, 200.0f, 80.0f, 80.0f)];
}


@end
